/*googlefonts => SIL Open Font License (OFL):*/
@import url("https://fonts.googleapis.com/css?family=M+PLUS+Rounded+1c");
* {font-family: 'M PLUS Rounded 1c';}

ol,ul,li,summary,details {list-style: none;}

div,img {
  -webkit-user-select: none;
  user-select: none;
}

.nukoroid-logo {
  pointer-events: none;
  height: 120px;
  width: 120px;
}

.nukoroid-footer {
  background-color: black;
  padding: 20px 0;
}

.nukoroid-menu {
  display: flex;
  max-width: 800px;
  margin: 20px auto 10px;
  padding: 0;
  justify-content: center;
  li {
    border-right: solid 1px white;
    &:last-child {
      border: none;
    }
  }
  color: white;
  font-size: 1.3rem;
  a {
    color: white;
    padding: 0 10px;
  }
  a:active {color: white;}
  a:hover {color: white;}
  a:visited {color: white;}
}

.txt-wrap {
  margin: 0 auto;
  padding: 3em 1em;
  max-width: 800px;
  text-align: left;
  line-height: 1.4;
  background-color: #fff;
  ol {
    width: 80%;
    margin: 0 auto;
    padding: 0;
  }
  li {
    margin: 20px 0 0;
    &:last-child {margin: 20px 0 70px;}
  }
  span {display: flex;}
  div {
    font-size: 1.6rem;
    font-weight: bold;
  }
  p {
    margin: 0;
    padding: 0 10px;
    text-indent: 1rem;
  }
}

.agree-btn-wrap {
  width: 120px;
  height: 45px;
  margin: 0 auto;
  padding: 0;
  line-height: 1em;
  text-align: center;
  color: #fff;
  margin: 0 auto;
  > label {
    width: 120px;
    padding: 13px 0;
    text-align: center;
  }
  > input[type="submit"] {
    background-color: #e1811f;
    width: 120px;
    padding: 13px 0;
    text-align: center;
    border: none;
    &:hover {opacity: 0.5;}
  }
}

.fade-in {
  opacity: 0;
  transform: translateY(20px);
  animation: fadeIn 1s ease 0.3s forwards;
}

.hide {opacity: 0;}

@keyframes fadeIn {
  to {
    opacity: 1;
    transform: none;
  }
}

details {
  padding: 0.5em 0.5em 0;
  border: 1px solid #aaaaaa;
  border-radius: 4px;
  &:hover {background-color: #f6f6ff;}
  &::details-content {
    transition:
      height 0.4s,
      opacity 0.4s,
      content-visibility 0.4s allow-discrete;
    max-width: 800px;
    height: 0;
    opacity: 0;
    overflow: clip;
  }

  &[open]::details-content {
    opacity: 1;
  }

  &[open] .icon {
    transform: rotate(180deg);
  }

  &[open] summary {
    border-bottom: 1px solid #aaaaaa;
    margin-bottom: 0.5em;
  }
}

summary {
  font-weight: bold;
  margin: -0.5em -0.5em 0;
  padding: 0.5em;
  &::-webkit-details-marker {display:none;}
}


@supports (interpolate-size: allow-keywords) {
  :root {
    interpolate-size: allow-keywords;
  }
  details[open]::details-content {
    height: auto;
  }
}

@supports not (interpolate-size: allow-keywords) {
  details[open]::details-content {
    height: 150px;
    overflow-y: scroll;
  }
}